GNU Radio C++ API Reference: AverageMenu Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
AverageMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots
void | getOff ()
void | getHigh ()
void | getMedium ()
void | getLow ()
void | getOther (const QString &str)

## Signals
void | whichTrigger (float alpha)

## Public Member Functions
| AverageMenu (const std::string &menuTitle, QWidget *parent)
| ~AverageMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)
QAction * | getActionFromAvg (float avg)
void | setHigh (float x)
void | setMedium (float x)
void | setLow (float x)

## Constructor & Destructor Documentation

## ◆ AverageMenu()

AverageMenu::AverageMenu | ( | const std::string & | menuTitle,
|  | QWidget * | parent )
| inline

References getHigh(), getLow(), getMedium(), and getOff().

Referenced by FFTAverageMenu::FFTAverageMenu().

## ◆ ~AverageMenu()

AverageMenu::~AverageMenu | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getAction()

QAction * AverageMenu::getAction | ( | unsigned int | which | ) |
| inline

## ◆ getActionFromAvg()

QAction * AverageMenu::getActionFromAvg | ( | float | avg | ) |
| inline

## ◆ getHigh

void AverageMenu::getHigh | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by AverageMenu().

## ◆ getLow

void AverageMenu::getLow | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by AverageMenu().

## ◆ getMedium

void AverageMenu::getMedium | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by AverageMenu().

## ◆ getNumActions()

int AverageMenu::getNumActions | ( |  | ) | const
| inline

## ◆ getOff

void AverageMenu::getOff | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by AverageMenu().

## ◆ getOther

void AverageMenu::getOther | ( | const QString & | str | ) |
| inlineslot

References whichTrigger().

## ◆ setHigh()

void AverageMenu::setHigh | ( | float | x | ) |
| inline

## ◆ setLow()

void AverageMenu::setLow | ( | float | x | ) |
| inline

## ◆ setMedium()

void AverageMenu::setMedium | ( | float | x | ) |
| inline

## ◆ whichTrigger

void AverageMenu::whichTrigger | ( | float | alpha | ) |
| signal

Referenced by getHigh(), getLow(), getMedium(), getOff(), and getOther().

The documentation for this class was generated from the following file:

- form_menus.h